# Interface BoolExpValue<T>

interface BoolExpValue<T> {
_and?: BoolExpValue<T>[];
_not?: BoolExpValue<T>;
_or?: BoolExpValue<T>[];
id?: ComparasionType<number>;
link?: BoolExpLink;
link_id?: ComparasionType<number>;
value?: ComparasionType<T>;
}

#### Type Parameters

- #### T

#### Hierarchy (view full)

- BoolExp<BoolExpValue<T>>
  - BoolExpValue

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:58

#####
Index

### Properties

_and?
_not?
_or?
id?
link?
link_id?
value?

## Properties

### `Optional` _and

_and?: BoolExpValue<T>[]

Inherited from BoolExp._and

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:11

### `Optional` _not

_not?: BoolExpValue<T>

Inherited from BoolExp._not

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:13

### `Optional` _or

_or?: BoolExpValue<T>[]

Inherited from BoolExp._or

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:12

### `Optional` id

id?: ComparasionType<number>

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:59

### `Optional` link

link?: BoolExpLink

Relation to the link that contains this value.

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:63

### `Optional` link_id

link_id?: ComparasionType<number>

If of link that contains this value.

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:61

### `Optional` value

value?: ComparasionType<T>

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:64

Generated using TypeDoc